GBCONVTABLE(1)

NAME
gbconvtable - Replace keys with values

SYNOPSIS
gbconvtable [options]

DESCRIPTION
Replace keys with values at a given position of the input file. The name of the dictionary file is provided on the command line with the option 'dictfile'. It is a simple text file organized in two columns. The first column contains the keys and the second column the respective values. Obviously the values can be equal, but the keys should be all different. Data are read from standard input and all fields at position 'pos' are considered keys of the provided dictionary and replaced with the associated keys. If 'pos' is not specified it is assumed equal to 1. If 'pos' is larger than the number of fields, no replacement takes place. If the option 'force' is not set, only those fields which appears as keys in the dictionary file are replaced.

OPTIONS

-d name of the dictionary file

-c position of the column of keys to be replaced

-f forced look-up: substitute provided string for non defined keys

EXAMPLES

    gbconvtable -d dict_file -c 3 -f 'none' < input_file

This program requires awk or gawk.

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2010-2015 Giulio Bottazzi

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.